package demo.sample3.book;

import java.util.HashSet;
import java.util.Set;

@SuppressWarnings({"ALL"})
public class BookDao {

    private final Set<Book> books = new HashSet<Book>();

    public void addBook(final Book book) {
        if (book != null) books.add(book);
    }

    public void deleteBook(final String bookId) {
        if (bookId != null) books.remove(new Book(bookId));
    }
}