package demo.sample3.book;

@SuppressWarnings({"ALL"})
class BookStore {
    private Book[] myBooks;

    Book findBook(final String id) {
        for (final Book book : myBooks) {
            if (book.getId().equals(id)) return book;
        }
        return null;
    }

    public Book[] getMyBooks() {
        return myBooks;
    }

    public void setMyBooks(final Book[] myBooks) {
        this.myBooks = myBooks;
    }

    public int countBooks() {
        return myBooks.length;
    }

    public Book getMyFavorityBook() {
        return myBooks[0];
    }

    void addBook(final Book book) {
        final Book[] b = new Book[myBooks.length + 1];
        System.arraycopy(myBooks, 0, b, 0, myBooks.length);
        b[myBooks.length] = book;
        myBooks = b;
    }
}