package demo.sample2;

import java.math.BigDecimal;

@SuppressWarnings({"UnusedDeclaration", "UnqualifiedStaticUsage", "UtilityClassWithoutPrivateConstructor"})
public class ComplexParameters {


    public static BigDecimal calculateTotalPrice(final BigDecimal netPrice, final BigDecimal countryTaxRate,
                                                 final BigDecimal volumeDiscount, final boolean taxable) {
        return netPrice
                .subtract(volumeDiscount)
                .multiply(taxable ? countryTaxRate : BigDecimal.ONE);
    }




    public static void main(final String[] args) {
        final BigDecimal result = calculateTotalPrice(BigDecimal.valueOf(100),
                BigDecimal.valueOf(5, 2), BigDecimal.valueOf(10), true);

        System.out.println("result = " + result);
    }
}
