package demo.sample3.book;

@SuppressWarnings({"MethodReturnOfConcreteClass"})
public class BookStoreClient {
    public Book findBook(final BookStore store, final String bookId) {

        final Book[] myBooks = store.getMyBooks();

        for (final Book book : myBooks) {
            if (book.getId().equals(bookId)) return book;
        }
        return null;
    }

    public void initializeBooks(final BookStore store, final Book book1, final Book book2) {
        store.setMyBooks(new Book[]{book1, book2});

    }
}
