package demo.sample4.dataflow;

public class DataFlowDemo {
    private int myValue;

    public DataFlowDemo(final int myValue) {
        this.myValue = myValue;
    }

    public int getMyValue() {
        return myValue;
    }

    public void setMyValue(final int myValue) {
        this.myValue = myValue;
    }

    public void increment() {
        myValue+=1;
    }

    public void add(final int value) {
        myValue+=value;
    }

    public static void main(final String[] args) {
        final String originalValue;
        if (args.length>0) {
            originalValue = args[0];
        } else {
            originalValue = "1";
        }

        new DataFlowDemo(DataFlowDemo.parseArg(originalValue));
    }

    private static int parseArg(final String arg) {
        return Integer.parseInt(arg);
    }
}
